petsc-3.4.2 2013-07-02

# DMPlexLabelCohesiveComplete

Starting with a label marking vertices on an internal surface, we add all other mesh pieces to complete the surface

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexLabelCohesiveComplete(DM dm, DMLabel label)

### Input Parameters

| dm | - The DM
| label | - A DMLabel marking the surface vertices

### Output Parameter

label -A DMLabel marking all surface points

### See Also

DMPlexConstructCohesiveCells(), DMPlexLabelComplete()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages